Time Interval Gateway Analytics
curl --request GET \
--url https://api.pinata.cloud/v3/analytics/gateways/time_series \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pinata.cloud/v3/analytics/gateways/time_series"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pinata.cloud/v3/analytics/gateways/time_series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total_requests": 1756,
"total_bandwidth": 1034631262,
"time_periods": [
{
"period_start_time": "2024-08-15",
"requests": 100,
"bandwidth": 75721161
},
{
"period_start_time": "2024-08-14",
"requests": 109,
"bandwidth": 55430651
},
{
"period_start_time": "2024-08-13",
"requests": 70,
"bandwidth": 32806252
},
{
"period_start_time": "2024-08-12",
"requests": 71,
"bandwidth": 90781331
},
{
"period_start_time": "2024-08-11",
"requests": 121,
"bandwidth": 60168755
},
{
"period_start_time": "2024-08-10",
"requests": 187,
"bandwidth": 86036341
},
{
"period_start_time": "2024-08-09",
"requests": 360,
"bandwidth": 262348634
},
{
"period_start_time": "2024-08-08",
"requests": 86,
"bandwidth": 45399695
},
{
"period_start_time": "2024-08-07",
"requests": 114,
"bandwidth": 27869980
},
{
"period_start_time": "2024-08-06",
"requests": 146,
"bandwidth": 65227201
},
{
"period_start_time": "2024-08-05",
"requests": 93,
"bandwidth": 101281128
},
{
"period_start_time": "2024-08-04",
"requests": 62,
"bandwidth": 18297460
},
{
"period_start_time": "2024-08-03",
"requests": 65,
"bandwidth": 21646988
},
{
"period_start_time": "2024-08-02",
"requests": 64,
"bandwidth": 49484961
},
{
"period_start_time": "2024-08-01",
"requests": 108,
"bandwidth": 42130724
}
]
}
}Gateway Analytics
Time Interval Gateway Analytics
org:analytics:read
GET
/
analytics
/
gateways
/
time_series
Time Interval Gateway Analytics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Gateway domain to filter by
Start date of aggregation in the format YYYY-MM-DD
End date of aggregation in the format YYYY-MM-DD
Date interval to view gateway usage by. Must be either day or week.
Available options:
day, week Sort data by either requests or bandwidth
Available options:
requests, bandwidth Filter by CID
Filter by file name
Filter by user agent
Filter by country
Filter by region
Filter by referer
Filter results by HTTP status code
Available options:
200, 206, 301, 302, 304, 307, 308, 404, 499 Limit the number of results returned, default is 100
Sort results by either asc or desc
Response
200 - application/json
OK
The response is of type object.
⌘I